' Fig. 9.6: Employee.vb
' Represent employee name, birthday and hire date.
Class Employee
   Private firstName As String
   Private lastName As String
   Private birthDate As Day ' member object reference
   Private hireDate As Day ' member object reference

   ' Employee constructor
   Public Sub New(ByVal first As String, ByVal last As String, _
      ByVal birthMonth As Integer, ByVal birthDay As Integer, _
      ByVal birthYear As Integer, ByVal hireMonth As Integer, _
      ByVal hireDay As Integer, ByVal hireYear As Integer)

      firstName = first
      lastName = last

      ' create Day instance for employee birthday         
      birthDate = New Day(birthMonth, birthDay, birthYear)

      ' create Day instance for employee hire date    
      hireDate = New Day(hireMonth, hireDay, hireYear)
   End Sub ' New

   ' return employee information as String
   Public Overrides Function ToString() As String
      Return (lastName & ", " & firstName & " Hired: " _
         & hireDate.ToString() & " Birthday: " & birthDate.ToString())
   End Function ' ToString
End Class ' Employee

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************