' Fig. 14.18: FrmListBoxTest.vb
' Program to add, remove and clear ListBox items
Public Class FrmListBoxTest
   ' add to lstDisplay the item the user enters in txtInput,
   ' then clear txtInput
   Private Sub btnAdd_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnAdd.Click

      lstDisplay.Items.Add(txtInput.Text)
      txtInput.Clear()
   End Sub ' btnAdd_Click

   ' remove an item from lstDisplay if one is selected
   Private Sub btnRemove_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnRemove.Click

      ' if an item is selected, remove that item
      If lstDisplay.SelectedIndex <> -1 Then
         lstDisplay.Items.RemoveAt(lstDisplay.SelectedIndex)
      End If
   End Sub ' btnRemove_Click

   ' clear all the items in lstDisplay
   Private Sub btnClear_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnClear.Click

      lstDisplay.Items.Clear()
   End Sub ' btnClear_Click

   ' terminate the application
   Private Sub btnExit_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnExit.Click

      Application.Exit()
   End Sub ' btnExit_Click
End Class ' FrmListBoxTest


' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************
