' Fig. 14.20: FrmCheckedListBoxTest.vb
' Using the checked ListBox to add items to a display ListBox
Public Class FrmCheckedListBoxTest
   ' add an item to or remove an item from lstDisplay
   Private Sub chklstItem_ItemCheck( _
      ByVal sender As System.Object, _
      ByVal e As System.Windows.Forms.ItemCheckEventArgs) _
      Handles chklstItem.ItemCheck

      ' obtain selected item
      Dim item As String = chklstItem.SelectedItem.ToString()

      ' if the selected item is checked add it to lstDisplay; 
      ' otherwise, remove it from lstDisplay
      If e.NewValue = CheckState.Checked Then
         lstDisplay.Items.Add(item)
      Else
         lstDisplay.Items.Remove(item)
      End If
   End Sub ' chklstItem_ItemCheck
End Class ' FrmCheckedListBoxTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************
