' Fig. 14.36: FrmUsingTabs.vb
' Using TabControl to display various font settings.
Public Class FrmUsingTabs
   ' event handler for Black RadioButton
   Private Sub radBlack_CheckedChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles radBlack.CheckedChanged

      lblDisplay.ForeColor = Color.Black ' change font color to black 
   End Sub ' radBlack_CheckedChanged

   ' event handler for Red RadioButton
   Private Sub radRed_CheckedChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles radRed.CheckedChanged

      lblDisplay.ForeColor = Color.Red ' change font color to red 
   End Sub ' radRed_CheckedChanged

   ' event handler for Green RadioButton
   Private Sub radGreen_CheckedChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles radGreen.CheckedChanged

      lblDisplay.ForeColor = Color.Green ' change font color to green 
   End Sub ' radGreen_CheckedChanged

   ' event handler for 12 point RadioButton
   Private Sub radSize12_CheckedChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles radSize12.CheckedChanged
      ' change font size to 12
      lblDisplay.Font = New Font(lblDisplay.Font.Name, 12)
   End Sub ' radSize12_CheckedChanged

   ' event handler for 16 point RadioButton
   Private Sub radSize16_CheckedChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles radSize16.CheckedChanged
      ' change font size to 16
      lblDisplay.Font = New Font(lblDisplay.Font.Name, 16)
   End Sub ' radSize16_CheckedChanged

   ' event handler for 20 point RadioButton
   Private Sub radSize20_CheckedChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles radSize20.CheckedChanged
      ' change font size to 20
      lblDisplay.Font = New Font(lblDisplay.Font.Name, 20)
   End Sub ' radSize20_CheckedChanged

   ' event handler for Hello! RadioButton
   Private Sub radHello_CheckedChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles radHello.CheckedChanged

      lblDisplay.Text = "Hello!" ' change text to Hello!
   End Sub ' radHello_CheckedChanged

   ' event handler for Goodbye! RadioButton
   Private Sub radGoodbye_CheckedChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles radGoodbye.CheckedChanged

      lblDisplay.Text = "Goodbye!" ' change text to Goodbye!
   End Sub ' radGoodbye_CheckedChanged
End Class ' FrmUsingTabs

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************


