' Fig. 16.3: StringCompare.vb
' Comparing strings

Module StringCompare
   Sub Main()
      Dim string1 As String = "hello"
      Dim string2 As String = "good bye"
      Dim string3 As String = "Happy Birthday"
      Dim string4 As String = "happy birthday"

      ' output values of four strings
      Console.WriteLine("string1 = """ & string1 & """" & vbCrLf & _
         "string2 = """ & string2 & """" & vbCrLf & _
         "string3 = """ & string3 & """" & vbCrLf & _
         "string4 = """ & string4 & "" & vbCrLf)

      ' test for equality using Equals method
      If string1.Equals("hello") Then
         Console.WriteLine("string1 equals ""hello""")
      Else
         Console.WriteLine("string1 does not equal ""hello""")
      End If

      ' test for equality with =
      If string1 = "hello" Then
         Console.WriteLine("string1 equals ""hello""")
      Else
         Console.WriteLine("string1 does not equal ""hello""")
      End If

      ' test for equality comparing case
      If String.Equals(string3, string4) Then ' static method
         Console.WriteLine("string3 equals string4")
      Else
         Console.WriteLine("string3 does not equal string4")
      End If

      ' test CompareTo
      Console.WriteLine(vbCrLf & "string1.CompareTo( string2 ) is " & _
         string1.CompareTo(string2) & vbCrLf & _
         "string2.CompareTo( string1 ) is " & _
         string2.CompareTo(string1) & vbCrLf & _
         "string1.CompareTo( string1 ) is " & _
         string1.CompareTo(string1) & vbCrLf & _
         "string3.CompareTo( string4 ) is " & _
         string3.CompareTo(string4) & vbCrLf & _
         "string4.CompareTo( string3 ) is " & _
         string4.CompareTo(string3) & vbCrLf)
   End Sub ' Main
End Module ' StringCompare


'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************