' Fig. 16.15: SharedCharMethods.vb
' Demonstrates static character testing methods 
' from Char struct

Public Class SharedCharMethods
   ' handle btnAnalyze_Click
   Private Sub btnAnalyze_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnAnalyze.Click

      If txtInput.Text.Length > 0 Then
         ' convert string entered to type char
         Dim character As Char = Convert.ToChar(txtInput.Text)
         Dim output As String

         output = "is digit: " & Char.IsDigit(character) & vbCrLf
         output &= "is letter: " & Char.IsLetter(character) & vbCrLf
         output &= "is letter or digit: " & _
            Char.IsLetterOrDigit(character) & vbCrLf
         output &= "is lowercase: " & Char.IsLower(character) & vbCrLf
         output &= "is uppercase: " & Char.IsUpper(character) & vbCrLf
         output &= "to uppercase: " & Char.ToUpper(character) & vbCrLf
         output &= "to lowercase: " & Char.ToLower(character) & vbCrLf
         output &= "is punctuation: " & _
            Char.IsPunctuation(character) & vbCrLf
         output &= "is symbol: " & Char.IsSymbol(character)
         txtOutput.Text = output
      End If
   End Sub ' btnAnalyze_Click
End Class ' SharedCharMethods

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************