' Fig. 16.22: RegexSubstitution.vb
' Using Regex method Replace.
Imports System.Text.RegularExpressions

Module RegexSubstitution
   Sub Main()
      Dim testString1 As String = _
         "This sentence ends in 5 stars *****"
      Dim output As String = ""
      Dim testString2 As String = "1, 2, 3, 4, 5, 6, 7, 8"
      Dim testRegex1 As New Regex("\d")
      Dim result() As String

      Console.WriteLine("Original string: " & testString1)
      testString1 = Regex.Replace(testString1, "\*", "^")
      Console.WriteLine("^ substituted for *: " & testString1)
      testString1 = Regex.Replace(testString1, "stars", "carets")
      Console.WriteLine("""carets"" substituted for ""stars"": " & _
         testString1)
      Console.WriteLine("Every word replaced by ""word"": " & _
         Regex.Replace(testString1, "\w+", "word"))
      Console.WriteLine(vbCrLf & "Original string: " & testString2)
      Console.WriteLine("Replace first 3 digits by ""digit"": " & _
         testRegex1.Replace(testString2, "digit", 3))
      Console.Write("string split at commas [")

      result = Regex.Split(testString2, ",\s")

      For Each resultString As String In result
         output &= """" & resultString & """, "
      Next resultString

      ' Delete ", " at the end of output string
      Console.WriteLine(output.Substring(0, output.Length - 2) + "]")
   End Sub ' Main
End Module ' RegexSubstitution

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************