' Fig. 19.30: FrmTransformTest.vb
' Applying an XSLT style sheet to an XML document.
Imports System.Xml.Xsl ' contains class XslCompiledTransform

Public Class FrmTransformTest
   ' applies the transformation
   Private transformer As XslCompiledTransform

   ' initialize variables
   Private Sub FrmTransformTest_Load(ByVal sender As Object, _
      ByVal e As EventArgs) Handles MyBase.Load
      transformer = New XslCompiledTransform() ' create transformer
      transformer.Load("sports.xsl") ' load and compile the style sheet
   End Sub ' FrmTransformTest_Load

   ' transform XML data on Transform XML Button Click event
   Private Sub btnTransform_Click(ByVal sender As Object, _
      ByVal e As EventArgs) Handles btnTransform.Click
      ' perform the transformation and store the result in new file  
      transformer.Transform("sports.xml", "sports.html")

      ' read and display the XHTML document's text in a Textbox
      txtConsole.Text = System.IO.File.ReadAllText("sports.html")
   End Sub ' btnTransform_Click
End Class ' FrmTransformTest


' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************
