' Fig. 20.44: FrmAddressBook.vb
' Allows users to manipulate an address book.
Public Class FrmAddressBook
   ' Click event handler for the Save Button in the 
   ' BindingNavigator saves the changes made to the data
   Private Sub AddressesBindingNavigatorSaveItem_Click( _
      ByVal sender As System.Object, ByVal e As System.EventArgs) _
      Handles AddressesBindingNavigatorSaveItem.Click

      Me.Validate()
      Me.AddressesBindingSource.EndEdit()
      Me.AddressesTableAdapter.Update(Me.AddressBookDataSet.Addresses)
   End Sub ' AddressesBindingNavigatorSaveItem_Click

   ' loads data into the AddressBookDataSet.Addresses table
   Private Sub FrmAddressBook_Load(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles MyBase.Load
      ' TODO: This line of code loads data into the 
      ' 'AddressBookDataSet.Addresses' table. You can move, or remove 
      ' it, as needed.
      Me.AddressesTableAdapter.Fill(Me.AddressBookDataSet.Addresses)
   End Sub ' FrmAddressBook_Load

   ' loads data for the rows with the specified last name
   ' into the AddressBookDataSet.Addresses table
   Private Sub btnFind_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnFind.Click
      ' fill the DataSet's DataTable with only rows
      ' containing the user-specified last name
      AddressesTableAdapter.FillByLastName( _
         AddressBookDataSet.Addresses, txtFind.Text)
   End Sub ' btnFind_Click

   ' reloads AddressBookDataSet.Addresses with all rows
   Private Sub btnBrowseAll_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnBrowseAll.Click
      ' fill the DataSet's DataTable with all rows in the database
      AddressesTableAdapter.Fill(AddressBookDataSet.Addresses)

      txtFind.Text = "" ' clear Find TextBox
   End Sub ' btnBrowseAll_Click
End Class ' FrmAddressBook

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
