' Fig. 24.14: StackInheritanceTest.vb
' Testing class StackInheritance.
Imports StackInheritanceLibrary
Imports LinkedListLibrary

Module StackInheritanceTest
   Sub Main()
      Dim stack As New StackInheritance()

      ' create objects to store in the stack
      Dim aBoolean As Boolean = True
      Dim aCharacter As Char = "$"c
      Dim anInteger As Integer = 34567
      Dim aString As String = "hello"

      ' use method Push to add items to stack
      stack.Push(aBoolean)
      stack.Print()
      stack.Push(aCharacter)
      stack.Print()
      stack.Push(anInteger)
      stack.Print()
      stack.Push(aString)
      stack.Print()

      ' remove items from stack
      Try
         While True
            Dim removedObject As Object = stack.Pop()
            Console.WriteLine(removedObject & " popped")
            stack.Print()
         End While
      Catch exception As EmptyListException
         ' if exception occurs, print stack trace
         Console.Error.WriteLine(exception.StackTrace)
      End Try
   End Sub ' Main
End Module ' StackInheritanceTest

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************