﻿' Fig. 8.7: RollDie.vb
' Rolling 12 dice with frequency chart.
Imports System.IO

Public Class FrmRollDie
   Dim randomNumber As Random = New Random()
   Dim frequency As Integer() = New Integer(6) {}

   ' event handler for btnRoll button
   Private Sub btnRoll_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnRoll.Click

      ' pass PictureBox to a method that assigns a face to each die
      DisplayDie(picDie1)
      DisplayDie(picDie2)
      DisplayDie(picDie3)
      DisplayDie(picDie4)
      DisplayDie(picDie5)
      DisplayDie(picDie6)
      DisplayDie(picDie7)
      DisplayDie(picDie8)
      DisplayDie(picDie9)
      DisplayDie(picDie10)
      DisplayDie(picDie11)
      DisplayDie(picDie12)

      Dim total As Double = 0

      ' total the die faces (used in percentage calculations)
      For i As Integer = 1 To frequency.GetUpperBound(0)
         total += frequency(i)
      Next

      txtDisplay.Text = "Face" & vbTab & "Frequency" & _
         vbTab & "Percent" & vbCrLf

      ' output frequency values                                 
      For i As Integer = 1 To frequency.GetUpperBound(0)
         txtDisplay.Text &= i & vbTab & frequency(i) & _
            vbTab & vbTab & String.Format("{0:N}", _
            frequency(i) / total * 100) & "%" & vbCrLf
      Next
   End Sub ' btnRoll_Click

   ' simulate roll, display proper image and increment frequency
   Sub DisplayDie(ByVal picDie As PictureBox)
      Dim face As Integer = 1 + randomNumber.Next(6)

      ' set appropriate die image in Image property
      picDie.Image = _
         Image.FromFile(Directory.GetCurrentDirectory & _
         "\Images\die" & face & ".png")
      frequency(face) += 1 ' increment appropriate frequency counter
   End Sub ' DisplayDie
End Class ' FrmRollDie


' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************