﻿' Fig. 8.15: SortTest.vb
' Program creates random numbers and sorts them.
Imports System

Public Class FrmSortTest
   Dim integerArray As Integer() = New Integer(9) {}

   ' creates random generated numbers
   Private Sub btnCreate_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnCreate.Click

      Dim output As String = ""
      Dim randomNumber As Random = New Random()

      txtSorted.Text = "" ' clear txtSorted TextBox

      ' create 10 random numbers and append to output
      For i As Integer = 0 To integerArray.GetUpperBound(0)
         integerArray(i) = randomNumber.Next(100)
         output &= (integerArray(i) & vbCrLf)
      Next

      txtOriginal.Text = output ' display numbers 
      btnSort.Enabled = True ' enable Sort button 
   End Sub ' btnCreate_Click

   ' sorts randomly generated numbers
   Private Sub btnSort_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnSort.Click

      Dim output As String = ""

      Array.Sort(integerArray) ' sort array integerArray

      ' creates string with sorted numbers
      For i As Integer = 0 To integerArray.GetUpperBound(0)
         output &= (integerArray(i) & vbCrLf)
      Next

      txtSorted.Text = output ' display numbers
      btnSort.Enabled = False ' disable Sort button
   End Sub ' btnSort_Click
End Class ' FrmSortTest


' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************
