' Fig. 9.13: ConstAndReadOnly.vb
' Demonstrates Const and ReadOnly members.
Module ConstAndReadOnly
   Sub Main()
      Dim random As New Random() ' create Random object

      ' create CircleConstants object with random radius
      Dim circle As New CircleConstants(random.Next(1, 20))

      ' calculate the circle's circumference
      Console.WriteLine("Radius = " & circle.RADIUS & vbCrLf & _
         "Circumference = " & String.Format("{0:F3}", _
         2 * CircleConstants.PI * circle.RADIUS))
   End Sub ' Main
End Module ' ConstAndReadOnly



' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************