' Fig. 9.20: TimeLibraryTest.vb
' Demonstrating class Time in TimeLibrary.
Imports TimeLibrary ' import namespace TimeLibrary

Module TimeLibraryTest
   Sub Main()
      Dim time As New Time() ' call Time constructor

      Console.WriteLine("The initial universal time is: " & _
         time.ToUniversalString() & vbCrLf & _
         "The initial standard time is: " & time.ToString())

      time.SetTime(13, 27, 6) ' set time with valid settings
      Console.WriteLine(vbCrLf & "Universal time after setTime is: " & _
         time.ToUniversalString() & vbCrLf & _
         "Standard time after setTime is: " & time.ToString())

      time.SetTime(99, 99, 99) ' set time with invalid settings
      Console.WriteLine(vbCrLf & _
         "After attempting invalid settings: " & vbCrLf & _
         "Universal time: " & time.ToUniversalString() & _
         vbCrLf & "Standard time: " & time.ToString())
   End Sub ' Main
End Module ' TimeLibraryTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************
