﻿' Fig. 11.1: PolymorphismTest.vb
' Assigning base class and derived class references to base class and
' derived class variables.
Module PolymorphismTest
   Sub Main()
      Dim commissionEmployee1 As CommissionEmployee
      Dim basePlusCommissionEmployee As BasePlusCommissionEmployee

      ' assign base class reference to base class variable
      commissionEmployee1 = New CommissionEmployee( _
         "Sue", "Jones", "222-22-2222", 10000, 0.06D)

      ' assign derived class reference to derived class variable         
      basePlusCommissionEmployee = New BasePlusCommissionEmployee( _
         "Bob", "Lewis", "333-33-3333", 5000, 0.04D, 300)

      ' invoke ToString on base class object using base class varixable
      Console.WriteLine("Call CommissionEmployee's ToString with " & _
         "base class reference to base class object: " & vbCrLf & _
         commissionEmployee1.ToString() & vbCrLf)

      ' invoke ToString on derived class object using 
      ' derived class variable
      Console.WriteLine("Call BasePlusCommissionEmployee's ToString " & _
         "with derived class reference to derived class object: " & _
         vbCrLf & basePlusCommissionEmployee.ToString() & vbCrLf)

      ' assign derived class reference to base class variable
      Dim commissionEmployee2 As CommissionEmployee = _
         basePlusCommissionEmployee

      ' invoke ToString on derived class object using base class variable
      Console.WriteLine("Call BasePlusCommissionEmployee's ToString " & _
         "with base class reference to derived class object: " & _
         vbCrLf & commissionEmployee2.ToString())
   End Sub ' Main
End Module ' PolymorphismTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************