' Fig. 13.26: FrmCheckBoxTest.vb
' Using CheckBoxes to toggle italic and bold styles.
Public Class FrmCheckBoxTest
   ' toggle the font style between bold and
   ' not bold based on the current setting
   Private Sub chkBold_CheckedChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles chkBold.CheckedChanged
      lblOutput.Font = _
         New Font(lblOutput.Font.Name, lblOutput.Font.Size, _
            lblOutput.Font.Style Xor FontStyle.Bold)
   End Sub ' chkBold_CheckedChanged

   ' toggle the font setting between italic and
   ' not italic based on the current setting
   Private Sub chkItalic_CheckedChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles chkItalic.CheckedChanged
      lblOutput.Font = _
         New Font(lblOutput.Font.Name, lblOutput.Font.Size, _
            lblOutput.Font.Style Xor FontStyle.Italic)
   End Sub ' chkItalic_CheckedChanged
End Class ' FrmCheckBoxTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************