' Fig. 13.30: FrmPictureBoxTest.vb
' Using a PictureBox to display images.
Imports System.IO

Public Class FrmPictureBoxTest
   ' determines which image is displayed
   Private imageNum As Integer = -1

   ' change image whenever Next Button is clicked
   Private Sub btnNext_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnNext.Click
      imageNum = (imageNum + 1) Mod 3 ' imageNum cycles from 0 to 2

      ' create Image object from file, display in PicutreBox
      picImage.Image = Image.FromFile(Directory.GetCurrentDirectory() & _
         "\images\image" & imageNum & ".bmp")
   End Sub ' btnNext_Click
End Class ' FrmPictureBoxTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************