' Fig. 22.27: EquationGeneratorWebService.vb
' Web Service to generate random equations based on a specified
' operation and difficulty level.
Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols

<WebService(Namespace:="http://www.deitel.com/")> _
<WebServiceBinding(ConformsTo:=WsiProfiles.BasicProfile1_1)> _
<Global.Microsoft.VisualBasic.CompilerServices.DesignerGenerated()> _
Public Class EquationGeneratorWebService
   Inherits System.Web.Services.WebService
   ' Method to generate a math equation
   <WebMethod(Description:="Method to generate a math equation.")> _
   Public Function GenerateEquation(ByVal operation As String, _
      ByVal level As Integer) As Equation
      ' calculate maximum and minimum number to be used
      Dim maximum As Integer = Convert.ToInt32(Math.Pow(10, level))
      Dim minimum As Integer = Convert.ToInt32(Math.Pow(10, level - 1))

      Dim randomObject As New Random() ' used to generate random numbers

      ' create Equation consisting of two random
      ' numbers in the range minimum to maximum 
      Dim newEquation As New Equation( _
         randomObject.Next(minimum, maximum), _
         randomObject.Next(minimum, maximum), operation)

      Return newEquation
   End Function ' GenerateEquation
End Class ' EquationGeneratorWebService

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
