' Fig. 23.7: Square.vb
' A Square on the TicTacToe board.

' the representation of a square in a tic-tac-toe grid
Public Class Square
   Private panel As Panel ' GUI Panel that represents this Square
   Private markValue As Char ' player's markValue on this Square (if any)

   ' locationValue on the board of this Square
   Private locationValue As Integer

   ' constructor
   Public Sub New(ByVal newPanel As Panel, ByVal newMark As Char, _
      ByVal newLocation As Integer)

      panel = newPanel
      markValue = newMark
      locationValue = newLocation
   End Sub ' New

   ' property SquarePanel; the panel which the square represents
   Public ReadOnly Property SquarePanel() As Panel
      Get
         Return panel
      End Get
   End Property ' SquarePanel

   ' property Mark; the markValue on the square
   Public Property Mark() As Char
      Get
         Return markValue
      End Get
      Set(ByVal value As Char)
         markValue = value
      End Set
   End Property ' Mark

   ' property Location; the square's locationValue on the board
   Public ReadOnly Property Location() As Integer
      Get
         Return locationValue
      End Get
   End Property ' Location
End Class ' Square

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************