' Fig. 23.12: WeatherServer.cs
' Server application that uses .NET remoting to send
' weather report information to a client
Imports System.Runtime.Remoting
Imports System.Runtime.Remoting.Channels
Imports System.Runtime.Remoting.Channels.Http
Imports Weather

Module WeatherServer
   Sub Main()
      ' establish HTTP channel                      
      Dim channel As New HttpChannel(50000)
      ChannelServices.RegisterChannel(channel, False)

      ' register ReportInfo class
      RemotingConfiguration.RegisterWellKnownServiceType( _
         GetType(ReportInfo), "Report", WellKnownObjectMode.Singleton)

      Console.WriteLine("Press Enter to terminate server.")
      Console.ReadLine()
   End Sub ' Main
End Module ' WeatherServer


'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************

