' Fig. 24.13: StackInheritanceLibrary.vb
' Implementing a stack by inheriting from class List.
Imports LinkedListLibrary

' class StackInheritance inherits class List's capabilities
Public Class StackInheritance : Inherits List
   ' pass name "stack" to List constructor
   Public Sub New()
      MyBase.New("stack")
   End Sub ' New

   ' place dataValue at top of stack by inserting 
   ' dataValue at front of linked list
   Public Sub Push(ByVal dataValue As Object)
      InsertAtFront(dataValue)
   End Sub ' Push

   ' remove item from top of stack by removing
   ' item at front of linked list
   Public Function Pop() As Object
      Return RemoveFromFront()
   End Function ' Pop
End Class ' StackInheritance


'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
