' Fig. 24.16: QueueInheritanceLibrary.vb
' Implementing a queue by inheriting from class List.
Imports LinkedListLibrary

Public Class QueueInheritance : Inherits List
   ' pass name "queue" to List constructor
   Public Sub New()
      MyBase.New("queue")
   End Sub ' New

   ' place dataValue at end of queue by inserting 
   ' dataValue at end of linked list
   Public Sub Enqueue(ByVal dataValue As Object)
      InsertAtBack(dataValue)
   End Sub ' Enqueue

   ' remove item from front of queue by removing
   ' item at front of linked list
   Public Function Dequeue() As Object
      Return RemoveFromFront()
   End Function ' Dequeue
End Class ' QueueInheritance

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
