' Fig. 24.21: TreeTest.vb
' This program tests class Tree.
Imports BinaryTreeLibrary

' class TreeTest declaration
Module TreeTest
   ' test class Tree
   Sub Main()
      Dim tree As New Tree()
      Dim insertValue As Integer

      Console.WriteLine("Inserting values: ")
      Dim random As New Random()

      ' insert 10 random integers from 0-99 in tree 
      Dim i As Integer
      For i = 1 To 10
         insertValue = random.Next(100)
         Console.Write(insertValue & " ")

         tree.InsertNode(insertValue)
      Next i

      ' perform preorder traversal of tree
      Console.WriteLine(vbCrLf & vbCrLf & _
         "Preorder traversal")
      tree.PreorderTraversal()

      ' perform inorder traversal of tree
      Console.WriteLine(vbCrLf & vbCrLf & _
         "Inorder traversal")
      tree.InorderTraversal()

      ' perform postorder traversal of tree
      Console.WriteLine(vbCrLf & vbCrLf & _
         "Postorder traversal")
      tree.PostorderTraversal()
   End Sub ' Main
End Module ' TreeTest

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************